org.apache.sling.hc.samples.impl

## Class OsgiScriptBindingsProvider

- java.lang.Object
- - org.apache.sling.hc.samples.impl.OsgiScriptBindingsProvider

All Implemented Interfaces:
  org.apache.sling.scripting.api.BindingsValuesProvider

    @Service
    @Property(name="context",
              value="healthcheck")
    public class OsgiScriptBindingsProvider
    extends Object
    implements org.apache.sling.scripting.api.BindingsValuesProvider

The OsgiBinding is meant to be bound as an "osgi" global variable in scripted rules, to allow for checking some OSGi states in a simple way.

### Nested Class Summary

Nested Classes
`static class` `OsgiScriptBindingsProvider.OsgiBinding`

### Field Summary

Fields
`static String` `OSGI_BINDING_NAME`

### Constructor Summary

Constructors
Constructor and Description
`OsgiScriptBindingsProvider()`

### Method Summary

Methods
`protected void` `activate(org.osgi.service.component.ComponentContext ctx)`
`void` `addBindings(Bindings b)`
`protected void` `deactivate(org.osgi.service.component.ComponentContext ctx)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### OSGI_BINDING_NAME

    public static final String OSGI_BINDING_NAME

See Also:
  Constant Field Values

### Constructor Detail

#### OsgiScriptBindingsProvider

    public OsgiScriptBindingsProvider()

### Method Detail

#### activate

    @Activate
    protected void activate(org.osgi.service.component.ComponentContext ctx)

#### deactivate

    protected void deactivate(org.osgi.service.component.ComponentContext ctx)

#### addBindings

    public void addBindings(Bindings b)

Specified by:
  `addBindings` in interface `org.apache.sling.scripting.api.BindingsValuesProvider`